org.apache.poi.hssf.extractor

## Class OldExcelExtractor

- java.lang.Object
- - org.apache.poi.hssf.extractor.OldExcelExtractor

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public class OldExcelExtractor
      extends java.lang.Object
      implements java.io.Closeable

  A text extractor for old Excel files, which are too old for HSSFWorkbook to handle. This includes Excel 95, and very old (pre-OLE2) Excel files, such as Excel 4 files.

  Returns much (but not all) of the textual content of the file, suitable for indexing by something like Apache Lucene, or used by Apache Tika, but not really intended for display to the user.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OldExcelExtractor(DirectoryNode directory)`
    `OldExcelExtractor(java.io.File f)`
    `OldExcelExtractor(java.io.InputStream input)`
    `OldExcelExtractor(POIFSFileSystem fs)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `int` | `getBiffVersion()` The Biff version, largely corresponding to the Excel version
    `int` | `getFileType()` The kind of the file, one of `BOFRecord.TYPE_WORKSHEET`, `BOFRecord.TYPE_CHART`, `BOFRecord.TYPE_EXCEL_4_MACRO` or `BOFRecord.TYPE_WORKSPACE_FILE`
    `java.lang.String` | `getText()` Retrieves the text contents of the file, as best we can for these old file formats
    `protected void` | `handleNumericCell(java.lang.StringBuilder text, double value)`
    `static void` | `main(java.lang.String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OldExcelExtractor

          public OldExcelExtractor(java.io.InputStream input)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### OldExcelExtractor

          public OldExcelExtractor(java.io.File f)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### OldExcelExtractor

          public OldExcelExtractor(POIFSFileSystem fs)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### OldExcelExtractor

          public OldExcelExtractor(DirectoryNode directory)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getBiffVersion

          public int getBiffVersion()

      The Biff version, largely corresponding to the Excel version
      Returns:
        the Biff version

    - #### getFileType

          public int getFileType()

      The kind of the file, one of `BOFRecord.TYPE_WORKSHEET`, `BOFRecord.TYPE_CHART`, `BOFRecord.TYPE_EXCEL_4_MACRO` or `BOFRecord.TYPE_WORKSPACE_FILE`
      Returns:
        the file type

    - #### getText

          public java.lang.String getText()

      Retrieves the text contents of the file, as best we can for these old file formats
      Returns:
        the text contents of the file

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`

    - #### handleNumericCell

          protected void handleNumericCell(java.lang.StringBuilder text,
                                           double value)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.